#include <bits/stdc++.h>

using namespace std;

int resenje(int M, int V, int T)
{
    int U = M + V + T;
    int r = 0;
    if (T == 0)
    {
        r = 1;
        U += 1;
        T += 1;
    }
    if (2 * M > U)
    {
        r += 2 * M - U;
    }
    if (U <= 2 * V)
    {
        r += 2 * V - U;
    }
    return r;
}
void mvt(int &M, int &V, int &T,int &X, int (&A)[],int N )
{
    M = 0;
    V = 0;
    T = 0;
    
    for (int i = 0; i < N; i++)
    {
        if (A[i]==X)
        {
            T+=1;
        }
        else if(A[i]<X)
        {
            M+=1;
        }
        else
        {
            V+=1;
        }
    }
    
    
}
int main()
{
    int N, Q;
    cin >> N >> Q;

    int A[N];
    int B[Q];
    for (int i = 0; i < N; i++)
    {
        cin >> A[i];
    }
    for (int i = 0; i < Q; i++)
    {
        cin >> B[i];
    }

    
    for (int i = 0; i < Q; i++)
    {
        int M, V, T;
        mvt(M,V,T,B[i],A,N);
        cout<<resenje(M,V,T)<<endl;
    }
}